Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tibco.bpm.web.client.model.types
Class ToDoField

    java.lang.Object
      com.tibco.bpm.web.client.model.types.ToDoField

All Implemented Interfaces:
  com.google.gwt.user.client.rpc.IsSerializable

    public class ToDoField

extends java.lang.Object
implements com.google.gwt.user.client.rpc.IsSerializable

The definition of a field in a ToDo Item.

Since:
  1.2.0

Constructor Summary
`ToDoField()`

Method Summary
`java.lang.String` | `getName()` The name of the field.
`java.lang.String` | `getType()` The data type of the field.
`java.lang.String` | `getValue()` The value of the field.
`boolean` | `isOptional()` Whether the field is optional.
`void` | `setName(java.lang.String name)` The name of the field.
`void` | `setOptional(boolean optional)` Whether the field is optional.
`void` | `setType(java.lang.String type)` The data type of the field.
`void` | `setValue(java.lang.String value)` The value of the field.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ToDoField

    public ToDoField()

Method Detail

### getName

    public java.lang.String getName()

  The name of the field.

  Returns:
    Returns the name.

### setName

    public void setName(java.lang.String name)

  The name of the field.

  Parameters:
    `name` - The name to set.

### getType

    public java.lang.String getType()

  The data type of the field.

  Returns:
    Returns the type.

### setType

    public void setType(java.lang.String type)

  The data type of the field.

  Parameters:
    `type` - The type to set.

### getValue

    public java.lang.String getValue()

  The value of the field.

  Returns:
    Returns the value.

### setValue

    public void setValue(java.lang.String value)

  The value of the field.

  Parameters:
    `value` - The value to set.

### isOptional

    public boolean isOptional()

  Whether the field is optional.

  Returns:
    Returns the optional.

### setOptional

    public void setOptional(boolean optional)

  Whether the field is optional.

  Parameters:
    `optional` - The optional to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015 TIBCO Software Inc. All Rights Reserved.